# $Revision: 1.21 $, $Date: 2005/10/18 22:42:55 $
#
# Conditional build:
%bcond_without	doc	# - build without documentation
#
Summary:	ZZipLib - libZ-based ZIP-access Library
Summary(pl):	ZZipLib - biblioteka dostpu do archiww ZIP
Name:		zziplib
Version:	0.13.44
Release:	1
Epoch:		1
License:	LGPL with exceptions (see COPYING.ZZIP)
Group:		Libraries
Source0:	http://dl.sourceforge.net/zziplib/%{name}-%{version}.tar.bz2
# Source0-md5:	fbb6766ae59c120b5ce4bf9f84e9c827
URL:		http://zziplib.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	xmlto
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ZZipLib provides read access to zipped files in a zip-archive, using
compression based solely on free algorithms provided by zlib. ZZipLib
provides an additional API to transparently access files being either
real files or zipped files with the same filepath argument. This is
handy to package many files being shared data into a single zip file -
as it is sometimes used with gamedata or script repositories. The
library itself is fully multithreaded, and it is namespace clean using
the zzip_ prefix for its exports and declarations.

%description -l pl
ZZipLib pozwala na odczyt plikw skompresowanych w archiwach zip,
uywajc do dekompresji wolnodostpnych algorytmw z biblioteki zlib.
ZZipLib dostarcza dodatkowe API do przezroczystego dostpu do plikw
rzeczywistych lub umieszczonych w archiwach zip przy pomocy takiej
samej cieki. Jest to przydatne przy trzymaniu wielu plikw w jednym
archiwum, co bywa stosowane w przypadku danych dla gier lub
repozytoriw. Biblioteka jest w peni wielowtkowa i ma czyst
przestrze nazw (uywa prefiksu zzip_).

%package devel
Summary:	ZZipLib - Development Files
Summary(pl):	Pliki dla programistw ZZipLib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
These are the header files needed to develop programs using zziplib.

%description devel -l pl
Ten pakiet zawiera plikia nagwkowe potrzebne do tworzenia programw
korzystajcych z biblioteki zziplib.

%package static
Summary:	ZZipLib static library
Summary(pl):	Statyczna biblioteka ZZipLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
ZZipLib static library.

%description static -l pl
Statyczna biblioteka ZZipLib.

%prep
%setup -q

%{__perl} -pi -e 's/use strict/#&/' docs/*.pl

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-builddir

%{__make}
%if %{with doc}
%{__make} doc
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with doc}
%{__make} install-man3 -C docs \
	DESTDIR=$RPM_BUILD_ROOT

rm -f docs/zziplib[012].html
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog TODO docs/COPYING.Z*
%attr(755,root,root) %{_bindir}/zz[!i]*
%attr(755,root,root) %{_bindir}/unz*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%if %{with doc}
%doc docs/*.html
%endif
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%if %{with doc}
%{_mandir}/man3/*.3*
%endif
%{_pkgconfigdir}/*.pc
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zziplib.spec,v $
Revision 1.21  2005/10/18 22:42:55  qboosh
- updated to 0.13.44

Revision 1.20  2005/06/13 15:09:36  darekr
- typo

Revision 1.19  2005/01/08 16:43:14  qboosh
- updated to 0.13.38

Revision 1.18  2004/11/23 22:48:08  qboosh
- cleanup (zziplib-config removed in favour of pkg-config)

Revision 1.17  2004/11/22 16:06:49  undefine
- up to 0.13.36

Revision 1.16  2004/09/25 11:20:56  radek
- cosmetics (spaces -> tabs)

Revision 1.15  2004/08/22 16:07:28  qboosh
- fixed typo, man pages are back

Revision 1.14  2004/08/18 19:10:38  havner
- man pages disappeared?
- rel 2

Revision 1.13  2004/06/27 13:43:02  qboosh
- bcond header, strict internal deps

Revision 1.12  2004/06/26 22:40:00  jack
- renamed docs bcond to doc

Revision 1.11  2003/12/21 18:59:14  jajcus
- without docs bcond

Revision 1.10  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.9  2003/05/25 11:01:49  malekith
- massive attack, adding Source-md5

Revision 1.8  2003/05/25 06:28:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/09 10:48:11  qboosh
- use http for sources from sourceforge

Revision 1.6  2003/02/19 11:09:05  qboosh
- BR: libtool >= 1.4.3 (AC_CONFIG_AUX_DIR in configure.ac)

Revision 1.5  2003/01/18 13:27:58  qboosh
- updated to 0.12.23
- libtoolize to use fixed libtool when linking binaries

Revision 1.4  2002/11/25 14:18:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.3  2002/07/25 07:30:33  qboosh
- removed zzip-config from base; release 2

Revision 1.2  2002/07/23 15:17:40  wiget
- updated to 0.10.64
- new doc
- License clarification

Revision 1.1  2002/05/03 17:34:38  qboosh
- new; spec taken from original archive and rewritten
